<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	include("phpmnu_fun.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCom=V($_POST['CboCom']);		
	$StrSer=V($_POST['TxtSer']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);			
	$StrPro=V($_POST['TxtPro']);	
	$StrUsu=V($_POST['CboUsu']);		
	
	//-------------------------

	$IdUsu=$_SESSION['SYS_USER_ID'];

	if($_SESSION['SYS_USER_ALM']=="%"){
			if(strlen($StrAlm)==0)$StrAlm=T($StrAlm);//$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
		}else{
			$StrAlm=$_SESSION['SYS_USER_ALM'];
	}	
	
	$StrAlm=T($StrAlm);

	
	if(strlen($StrCom)==0) $StrCom="TODOS";	
	if(strlen($StrUsu)==0) $StrUsu=GetSO("nom","usuarios","","nom");	
	//-------------------------
	if($StrCom=="TODOS"){
		$StrCom_="%";
	}else{
		$StrCom_=$StrCom;
	}
	$StrNum_=$StrNum."%";
	$StrSer_=$StrSer."%";
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2020-12-01";
	}else{
		$StrHax_=ToDate($StrHax);
	}
	$StrPro_=$StrPro."%";
	//-------------------------
	if($StrUsu=="TODOS" || strlen($StrUsu)==0)$StrUsu="%";
	//-------------------------
	$LStrTR=gn("count(*)","vventas",
							"ID>0 AND 
							ALM LIKE '$StrAlm' AND 
							COM LIKE '$StrCom_' AND 
							NUM LIKE '$StrNum_' AND 
							SER LIKE '$StrSer_' AND 
							FEC >= '$StrDex_' AND 
							FEC <= '$StrHax_' AND 
							CLI LIKE '$StrPro_' AND
							USU LIKE '$StrUsu'");
	$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=50000;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//-------------------------
	if($StrCmd=="PDF"){	
		//
		$TI="REPORTE DE VENTAS :: ALMACEN : $StrAlm  USUARIO : $StrUsu";
		$s="SELECT COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,
			FORMAT(TOT,1),FORMAT(ACU,1) FROM vventas WHERE 
	 	    ID>0 AND ALM LIKE '$StrAlm' AND COM LIKE '$StrCom_' AND 
			NUM LIKE '$StrNum_' AND SER LIKE '$StrSer_' AND 
		    FEC >= '$StrDex_' AND FEC <= '$StrHax_' AND 
			CLI LIKE '$StrPro_' AND USU LIKE '$StrUsu' 
			ORDER BY ALM,COM,SER,NUM,FEC,CLI ";
		$T="COMPROBANTE,NUMERO,FECHA,CLIENTE,TOTAL,ACUENTA";
		$E="12,12, 8,32,8,8";
		$A=" 0, 0, 0, 0,2,2";		
		//
		$_ID=GenId("id","reportes");
		PDF_TIT($_ID,$TI);
		PDF_SQL($_ID,$s);
		PDF_CAM($_ID,$T);
		PDF_ESP($_ID,$E);
		PDF_ANC($_ID,$A);		
		$StrFilePDF=PDF_CREATE($_ID);	
		//
		JsDir($StrFilePDF);
		return;			
	}
	//

$AT=gs("at","usuarios","id_usuario=$IdUsu");	
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de ventas consecutivo</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }

table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#666;}

.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}
</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" 
action="rep_ventas_conse.php" 
autocomplete="off"
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">REPORTE CONSECUTIVO DE VENTAS</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 187px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 232px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom" 
class="lt" style="left: 232px; top: 138px; width: 150px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("com_nombre","comprobantes","com_nombre='NOTA DE VENTA'",$StrCom,"N","N");?>
</select>

<div class="s1" style="left: 388px; top: 121px; width: 46px;">
SERIE</div>
<input name="TxtSer" type="text" id="TxtSer" 
class="lt" style="left: 388px; top: 138px; width: 66px" 
value="<?php echo $StrSer;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 462px; top: 121px; width: 74px;">
NUMERO</div>
<input name="TxtNum" type="text" id="TxtNum" 
class="lt" style="left: 462px; top: 138px; width: 86px" 
value="<?php echo $StrNum;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 559px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 559px; top: 138px; width:100px" 
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 670px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 670px; top: 138px; width: 100px" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 782px; top: 121px; width: 133px;">
CLIENTE</div>
<input name="TxtPro" type="text" id="TxtPro" 
class="lt" style="left: 782px; top: 138px; width: 211px" 
value="<?php echo $StrPro;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 999px; top: 121px; width: 119px;">
USUARIO</div>
<select name="CboUsu" id="CboUsu" 
class="lt" style="left: 999px; top: 138px; width: 152px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO_("nom","usuarios","id_usuario>=0",$StrUsu,"","");
?>
</select>


<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 35px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdB" class="btm"
value="Imprimir" onClick="fPDF();"  style="display:none" 
tabindex="<?php echo ++$TI;?>"/>
</div>
    
<!----------------------------------------->
<div  style="position:absolute; top:165px; left:35px; height:27px; background-color:#FFF; width: 1180px;">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" border="0">
<tr>
<td align="center">
	<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</table>
</div> 

<div class="tableFixHead" style="position: absolute; left: 35px; top: 198px; width: 1180px; height: 371px; overflow:auto; border:solid 1px #363636">
<table id="Exportar_a_Excel" width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px">
<thead>
<tr>
<th width="252" style="text-align:left; background:#999">ALMACEN</th>
<th width="116" style="text-align:left; background:#999"">COMPROBANTE</th>
<th width="78"  style="text-align:left; background:#999"">NUMERO</th>
<th width="82"  style="text-align:left; background:#999"">FECHA</th>
<th width="550" style="text-align:left; background:#999"">CLIENTE</th>
<th width="72" style="text-align:right; background:#999"">TOTAL</th>
</tr>
</thead>
<tbody>
<?php
$i=0;  
$w="ID>0 AND 
     ALM LIKE '$StrAlm' AND 
     COM LIKE '$StrCom_' AND 
     NUM LIKE '$StrNum_' AND 
     SER LIKE '$StrSer_' AND 
     FEC >= '$StrDex_' AND 
     FEC <= '$StrHax_' AND 
     CLI LIKE '$StrPro_' AND USU LIKE '$StrUsu' ";				

	$s="SELECT ID,ALM_NC,COM,CONCAT(SER,'-',NUM),".
	   "DATE_FORMAT(FEC,'%d-%m-%y'),CLI,FORMAT(TOT,1),".
	   "FORMAT(ACU,1),TOT as DATO FROM vventas ".
	   "WHERE $w ORDER BY ALM,COM,SER,NUM,FEC,CLI ";		  		
	$result = grs($s);				
	while ($row = $result->fetch_row()){
		$i++;
		$CSS="";
		if($i%2==0){
			$CSS=" style=\"background-color:#E2E2E2\" ";
		}
		?>	
		<tr <?php echo $CSS;?>>
		<!----------------------------------------------->
		<td><?php echo $row[1];?></td>  
		<td><?php echo $row[2];?></td>
		<td>'<?php echo $row[3];?></td>
		<td style="text-align:left;"><?php echo $row[4];?></td>
		<td><?php echo $row[5];?></td> 
		<td style="text-align:right;"><?php echo $row[6];?></td>
		<!----------------------------------------------->
		</tr>
		<?php
    $ST=$ST+round($row[8],1);
	}
?>		  
</tbody>
</table>
</div>

<div class="s1" style="left: 1041px; top:577px; width: 74px;">
<b>TOTAL :</b></div>

<div class="s1" style="left: 1101px; top:577px; width: 110px; text-align:right">
<b><?php echo  NF2($ST,1);?></b></div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 317px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($w,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrUsu);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrUsu){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE COSECUTIVO DE VENTAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSer.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("CLIENTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrUsu)>0){
$_ENC=vbl("USUARIO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrUsu.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("ALMACEN".vbfill(" ",18),18);
$_ENC=$_ENC." ".vbl("COMPROBANTE".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",8),8);
$_ENC=$_ENC." ".vbl("CLIENTE".vbfill(" ",30),30);
$_ENC=$_ENC." ".vbr(vbfill(" ",8)."TOTAL",8);

$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,FORMAT(TOT,1),FORMAT(ACU,1),TOT as DATO
	FROM vventas 
	WHERE $w				 	
	ORDER BY ALM,COM,SER,NUM,FEC,CLI ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[1].vbfill(" ",18),18);
	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",8),8);
	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",30),30);
	$_ENC=$_ENC." ".vbr(vbfill(" ",8).NF2($row[6],1),8);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+round($row[8],1);
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Cosecutivo de Ventas.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 128px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
